from retab import Retab
client = Retab()
client.splits.delete("split_01G34H8J2K")
import { Retab } from "@retab/node";
const client = new Retab({ apiKey: process.env.RETAB_API_KEY });
await client.splits.delete("split_01G34H8J2K");
package main
import (
"context"
"log"
retab "github.com/retab-dev/retab/clients/go"
)
func ptr[T any](v T) *T { return &v }
func main() {
ctx := context.Background()
client, err := retab.NewClient("")
if err != nil {
log.Fatal(err)
}
if err := client.Splits.Delete(ctx, "split_01G34H8J2K"); err != nil {
log.Fatal(err)
}
}
require 'retab'
client = Retab::Client.new(api_key: ENV['RETAB_API_KEY'])
client.splits.delete(split_id: 'split_01G34H8J2K')
use retab::Retab;
#[tokio::main]
async fn main() -> Result<(), Box<dyn std::error::Error>> {
let client = Retab::new(std::env::var("RETAB_API_KEY")?);
client.splits().delete("split_01G34H8J2K").await?;
Ok(())
}
<?php
require 'vendor/autoload.php';
use Retab\Client;
$client = new Client(apiKey: getenv('RETAB_API_KEY'));
$client->splits()->delete(
splitId: 'split_01G34H8J2K',
);
echo "Deleted\n";
using Retab;
using RetabClient = Retab.Retab;
var apiKey = Environment.GetEnvironmentVariable("RETAB_API_KEY")!;
var client = new RetabClient(apiKey);
await client.Splits.DeleteAsync("split_01G34H8J2K");
Console.WriteLine("Deleted");
import com.retab.RetabClient;
public final class Example {
public static void main(String[] args) throws Exception {
RetabClient client = new RetabClient(System.getenv("RETAB_API_KEY"));
var result = client.splits().delete("split_abc123");
System.out.println(result);
}
}
curl -X DELETE \
'https://api.retab.com/v1/splits/split_01G34H8J2K' \
-H "Authorization: Bearer $RETAB_API_KEY"
No Content
{
"detail": "Split not found"
}
Splits
Delete Split
Delete a split.
Permanently deletes the split identified by split_id in the authenticated
environment. Returns 204 with no body on success, or 404 if the split does not
exist.
DELETE
/
v1
/
splits
/
{split_id}
from retab import Retab
client = Retab()
client.splits.delete("split_01G34H8J2K")
import { Retab } from "@retab/node";
const client = new Retab({ apiKey: process.env.RETAB_API_KEY });
await client.splits.delete("split_01G34H8J2K");
package main
import (
"context"
"log"
retab "github.com/retab-dev/retab/clients/go"
)
func ptr[T any](v T) *T { return &v }
func main() {
ctx := context.Background()
client, err := retab.NewClient("")
if err != nil {
log.Fatal(err)
}
if err := client.Splits.Delete(ctx, "split_01G34H8J2K"); err != nil {
log.Fatal(err)
}
}
require 'retab'
client = Retab::Client.new(api_key: ENV['RETAB_API_KEY'])
client.splits.delete(split_id: 'split_01G34H8J2K')
use retab::Retab;
#[tokio::main]
async fn main() -> Result<(), Box<dyn std::error::Error>> {
let client = Retab::new(std::env::var("RETAB_API_KEY")?);
client.splits().delete("split_01G34H8J2K").await?;
Ok(())
}
<?php
require 'vendor/autoload.php';
use Retab\Client;
$client = new Client(apiKey: getenv('RETAB_API_KEY'));
$client->splits()->delete(
splitId: 'split_01G34H8J2K',
);
echo "Deleted\n";
using Retab;
using RetabClient = Retab.Retab;
var apiKey = Environment.GetEnvironmentVariable("RETAB_API_KEY")!;
var client = new RetabClient(apiKey);
await client.Splits.DeleteAsync("split_01G34H8J2K");
Console.WriteLine("Deleted");
import com.retab.RetabClient;
public final class Example {
public static void main(String[] args) throws Exception {
RetabClient client = new RetabClient(System.getenv("RETAB_API_KEY"));
var result = client.splits().delete("split_abc123");
System.out.println(result);
}
}
curl -X DELETE \
'https://api.retab.com/v1/splits/split_01G34H8J2K' \
-H "Authorization: Bearer $RETAB_API_KEY"
No Content
{
"detail": "Split not found"
}
Delete a persisted
Split record by ID. Returns 204 No Content on success.
from retab import Retab
client = Retab()
client.splits.delete("split_01G34H8J2K")
import { Retab } from "@retab/node";
const client = new Retab({ apiKey: process.env.RETAB_API_KEY });
await client.splits.delete("split_01G34H8J2K");
package main
import (
"context"
"log"
retab "github.com/retab-dev/retab/clients/go"
)
func ptr[T any](v T) *T { return &v }
func main() {
ctx := context.Background()
client, err := retab.NewClient("")
if err != nil {
log.Fatal(err)
}
if err := client.Splits.Delete(ctx, "split_01G34H8J2K"); err != nil {
log.Fatal(err)
}
}
require 'retab'
client = Retab::Client.new(api_key: ENV['RETAB_API_KEY'])
client.splits.delete(split_id: 'split_01G34H8J2K')
use retab::Retab;
#[tokio::main]
async fn main() -> Result<(), Box<dyn std::error::Error>> {
let client = Retab::new(std::env::var("RETAB_API_KEY")?);
client.splits().delete("split_01G34H8J2K").await?;
Ok(())
}
<?php
require 'vendor/autoload.php';
use Retab\Client;
$client = new Client(apiKey: getenv('RETAB_API_KEY'));
$client->splits()->delete(
splitId: 'split_01G34H8J2K',
);
echo "Deleted\n";
using Retab;
using RetabClient = Retab.Retab;
var apiKey = Environment.GetEnvironmentVariable("RETAB_API_KEY")!;
var client = new RetabClient(apiKey);
await client.Splits.DeleteAsync("split_01G34H8J2K");
Console.WriteLine("Deleted");
import com.retab.RetabClient;
public final class Example {
public static void main(String[] args) throws Exception {
RetabClient client = new RetabClient(System.getenv("RETAB_API_KEY"));
var result = client.splits().delete("split_abc123");
System.out.println(result);
}
}
curl -X DELETE \
'https://api.retab.com/v1/splits/split_01G34H8J2K' \
-H "Authorization: Bearer $RETAB_API_KEY"
No Content
{
"detail": "Split not found"
}
⌘I